Package com.google.protobuf

## Class Descriptors.GenericDescriptor

- java.lang.Object
- - com.google.protobuf.Descriptors.GenericDescriptor

Direct Known Subclasses:
  `Descriptors.Descriptor`, `Descriptors.EnumDescriptor`, `Descriptors.EnumValueDescriptor`, `Descriptors.FieldDescriptor`, `Descriptors.FileDescriptor`, `Descriptors.MethodDescriptor`, `Descriptors.ServiceDescriptor`

Enclosing class:
  Descriptors

    public abstract static class Descriptors.GenericDescriptor
    extends java.lang.Object

All descriptors implement this to make it easier to implement tools like `DescriptorPool`.

This class is public so that the methods it exposes can be called from outside of this package. However, it should only be subclassed from nested classes of Descriptors.

### Constructor Summary

Constructors
`GenericDescriptor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Descriptors.FileDescriptor` `getFile()`
`abstract java.lang.String` `getFullName()`
`abstract java.lang.String` `getName()`
`abstract Message` `toProto()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericDescriptor

    public GenericDescriptor()

### Method Detail

#### toProto

    public abstract Message toProto()

#### getName

    public abstract java.lang.String getName()

#### getFullName

    public abstract java.lang.String getFullName()

#### getFile

    public abstract Descriptors.FileDescriptor getFile()